Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class DefaultLineTracker

    java.lang.Object
      org.eclipse.jface.text.AbstractLineTracker
          org.eclipse.jface.text.DefaultLineTracker

All Implemented Interfaces:
  ILineTracker, ILineTrackerExtension

    public class DefaultLineTracker

extends AbstractLineTracker

Standard implementation of `ILineTracker`.

The line tracker considers the three common line delimiters which are '\n', '\r', '\r\n'.

This class is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.text.AbstractLineTracker
`AbstractLineTracker.DelimiterInfo, AbstractLineTracker.Request`

Field Summary
`static String[]` `DELIMITERS` The predefined delimiters of this tracker

Constructor Summary
`DefaultLineTracker()` Creates a standard line tracker.

Method Summary
`String[]` `getLegalLineDelimiters()` Returns the strings this tracker considers as legal line delimiters.
`protected AbstractLineTracker.DelimiterInfo` `nextDelimiterInfo(String text, int offset)` Returns the information about the first delimiter found in the given text starting at the given offset.

Methods inherited from class org.eclipse.jface.text.AbstractLineTracker
`checkRewriteSession, computeNumberOfLines, flushRewriteSession, getLineDelimiter, getLineInformation, getLineInformationOfOffset, getLineLength, getLineNumberOfOffset, getLineOffset, getNumberOfLines, getNumberOfLines, hasActiveRewriteSession, replace, set, startRewriteSession, stopRewriteSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELIMITERS

    public static final String[] DELIMITERS

  The predefined delimiters of this tracker

Constructor Detail

### DefaultLineTracker

    public DefaultLineTracker()

  Creates a standard line tracker.

Method Detail

### getLegalLineDelimiters

    public String[] getLegalLineDelimiters()

  Description copied from interface: `ILineTracker`
  Returns the strings this tracker considers as legal line delimiters.

  Returns:
    the legal line delimiters

### nextDelimiterInfo

    protected AbstractLineTracker.DelimiterInfo nextDelimiterInfo(String text,
                                                                  int offset)

  Description copied from class: `AbstractLineTracker`
  Returns the information about the first delimiter found in the given text starting at the given offset.

  Specified by:
    `nextDelimiterInfo` in class `AbstractLineTracker`
  Parameters:
    `text` - the text to be searched
    `offset` - the offset in the given text
  Returns:
    the information of the first found delimiter or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.